.TH GPIV_SCALE 1 "8 November 2006"
.SH NAME
gpiv_scale \- Scaling of PIV data.
.SH SYNOPSIS

\fBgpiv_scale\fP 
[\fB-h\fR | \fB--help\fR] 
[\fB-p\fR | \fB--print\fR] 
[\fB-s \fIM\fR] 
[\fB-i\fR] 
[\fB-t \fIdT\fR]
[\fB-v\fR | \fB--version\fR] 
[\fB-z \fIx0 y0\fR] 
[\fIfilename\fP] 
< \fIstdin\fR > \fIstdout\fR

\fP

.SH DESCRIPTION

\fBgpiv_scale\fP applies the image magnification and the time between
successive recordings to the PIV estimators. This results that
particle displacements [px] are modified to velocities [m/s] and their
positions from [px] to [m]. A physical reference for the positions of
the PIV data can be applied by means of the image zero-offset option.

If \fIfilename\fR is used, the parameters and options to be used for
\fBgpiv_scale\fP are read the configuration resources (containing the
\fBIMG\fR and \fBPOST\fR keys). The parameters may be overruled by the
command line options, as explained below.

.SH Options 
.TP
\fB-h\fR | \fB--help\fP
On-line help.

.TP
\fB-p\fR | \fB--print\fP
Prints parameters, command line options and input and output filenames
to stdout.  The output is identic of \fIfilename\fB.par\fR, in case 
\fB-f\fP is used.

.TP
\fB-s \fIM\fR
spatial scaling with magnification factor \fIM\fR [mm/px]

.TP
\fB-i\fR
Applyy inverse scaling; returns scaled positions [m] and velocities [m/s] to 
their original postitions [px] and particle image displacements [px].

.TP
\fB-v\fR | \fB--version\fP
Prints version information on standard output, then exits successfully.

.TP
\fB-t \fIdT\fP
Time scale [ms] to convert particle image displacements into velocities.
If present, overrides the time scale that has been stored in the header of a 
combined (\fB.png\fR) image, constructed from subsequent recordings by 
\fBgpiv_combing\fR.

.TP
[\fB-z \fIx0 y0\fR] 
Relates the positions of the observations of velocities/displacements
to a physical location in the experiment by image zero offsetting. \fIx0
y0\fR [m] denote the physical position of pixel (0,0) in the image.

.TP
\fIfilename\fR
Input PIV file. Overrides stdin and stdout. The output will be
written to \fIfilename\fB.sc.piv\fR. Parameters are stored in 
\fIfilename\fB.par\fR and may be used for future use by including them 
in \fI./gpivrc\fR.

.TP

.SH SEE ALSO
gpivtools

.SH NOTES

.SH AUTHOR
Gerber Van der Graaf

.SH BUGS
The program has been tested for PIV data. So far, no bugs have been
found.
